Bug 1305156 - [yum] bash-completion conditionals don't work as intended
[yum] bash-completion conditionals don't work as intended
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-05 16:00 EST by Carl George
Modified: 2018-05-03 12:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-03 12:29:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
explicitly list the bash completions directory (1.15 KB, patch)
2016-02-05 16:00 EST, Carl George
no flags Details | Diff

  None (edit)
Description Carl George 2016-02-05 16:00:47 EST
Created attachment 1121520 [details]
explicitly list the bash completions directory

Description of problem:

This bug isn't necessarily a problem for Fedora, but the spec file appears to be targeting compatibility with RHEL as well, so I'm reporting it here.

On RHEL, bash-completion isn't a build requirement, so the compdir macro is set to /etc/bash_completion.d.  The %files section has %(dirname %{compdir}), meaning that yum thus owns the entire /etc tree in the build root.  This can also be observed on a RHEL7 system by running `rpm -qf /etc`; it return that both filesystem and yum own it.

There is a comment indicating that bash-completion wasn't in RHEL 7.0, but it does appear to be in 7.2 (not sure when it was added).  I think the best fix is to just avoid the bash-completion build requirement and be explicit, listing the proper locations in %if blocks.

Version-Release number of selected component (if applicable):

3.4.3-508
Comment 1 Jan Kurik 2016-02-24 09:24:55 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Fedora End Of Life 2017-02-28 04:53:42 EST
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.
Comment 3 Fedora End Of Life 2018-05-03 04:44:06 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 4 Carl George 2018-05-03 12:29:46 EDT
This has been fixed in RHEL.

%if 0%{?fedora} >= 19 || 0%{?rhel} >= 7
%(dirname %{compdir})
%else
%{compdir}
%endif

The problem still exists in the Fedora spec file, but preserving RHEL compatibility probably isn't a priority for that.

Note You need to log in before you can comment on or make changes to this bug.